Bug 449274 - bind sample file includes missing "named.root.hints" file
bind sample file includes missing "named.root.hints" file
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-01 10:55 EDT by Jay Levitt
Modified: 2013-04-30 19:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-02 08:14:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jay Levitt 2008-06-01 10:55:21 EDT
Description of problem:

/usr/share/doc/bind-9.5.0/sample/etc/named.conf tries to include
/etc/named.root.hints on lines 58, 75 and 118.

However, this file is not included in the package, and there is no documentation
in Fedora that explains how to create it.  (There is some documentation around
the net, found via Google.)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. cp /etc/named.conf /etc/named.conf.old
2. cp /usr/share/doc/bind-9.5.0/sample/etc/named.conf /etc/named.conf
3. named-checkconf /etc/named.conf
Actual results:
/etc/bind/named.conf:58: open: /etc/named.root.hints: file not found

Expected results:
Comment in named.conf file above line 58 explaining how to create the file; one
such way is found here: http://linux-sxs.org/internet_serving/bind9.html


Include /etc/named.root.hints in bind9 package
Comment 1 Jay Levitt 2008-06-01 11:08:45 EDT
Er, or, instead of explaining how to create the file, named.conf could just
point to the actual file that IS included:  /var/named/named.ca
Comment 2 Adam Tkac 2008-06-02 08:14:00 EDT
fixed in rawhide, thanks for report

Note You need to log in before you can comment on or make changes to this bug.